# std::chrono::duration< _Rep, _Period > Struct Template Reference

duration More...

List of all members.

## Public Types

- typedef _Period period
- typedef _Rep rep

## Public Member Functions

- template<typename _Rep2 , typename = typename enable_if<is_convertible<_Rep2, rep>::value && (treat_as_floating_point<rep>::value || !treat_as_floating_point<_Rep2>::value)>::type> duration (const _Rep2 &__rep)
- duration (const duration &)
- template<typename _Rep2 , typename _Period2 , typename = typename enable_if<treat_as_floating_point<rep>::value || (ratio_divide<_Period2, period>::type::den == 1 && !treat_as_floating_point<_Rep2>::value)>::type> duration (const duration< _Rep2, _Period2 > &__d)
- rep count () const
- template<typename _Rep2 = rep> enable_if
  <!treat_as_floating_point
  < _Rep2 >::value, duration & >
  ::type operator%= (const rep &__rhs)
- template<typename _Rep2 = rep> enable_if
  <!treat_as_floating_point
  < _Rep2 >::value, duration & >
  ::type operator%= (const duration &__d)
- duration & operator*= (const rep &__rhs)
- duration operator+ () const
- duration & operator++ ()
- duration operator++ (int)
- duration & operator+= (const duration &__d)
- duration operator- () const
- duration & operator-- ()
- duration operator-- (int)
- duration & operator-= (const duration &__d)
- duration & operator/= (const rep &__rhs)
- duration & operator= (const duration &)
- static_assert (!__is_duration< _Rep >::value,"rep cannot be a duration")
- static_assert (_Period::num > 0,"period must be positive")
- static_assert (__is_ratio< _Period >::value,"period must be a specialization of ratio")

## Static Public Member Functions

- static const duration max ()
- static const duration min ()
- static const duration zero ()

## Detailed Description

### template<typename _Rep, typename _Period>
struct std::chrono::duration< _Rep, _Period >

duration

Definition at line 201 of file chrono.

The documentation for this struct was generated from the following file:

- chrono